#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './spectrumview.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "spectrumview.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "spectrumwidget.h"
#include "kpushbutton.h"

/*
 *  Constructs a SpectrumView as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SpectrumView::SpectrumView( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SpectrumView" );
    SpectrumViewLayout = new QVBoxLayout( this, 0, 6, "SpectrumViewLayout"); 

    m_spectrumWidget = new SpectrumWidget( this, "m_spectrumWidget" );
    SpectrumViewLayout->addWidget( m_spectrumWidget );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    label1 = new QLabel( this, "label1" );
    layout2->addWidget( label1 );

    minimumValue = new QSpinBox( this, "minimumValue" );
    minimumValue->setMaxValue( 999 );
    minimumValue->setMinValue( 1 );
    minimumValue->setValue( 380 );
    layout2->addWidget( minimumValue );

    label2 = new QLabel( this, "label2" );
    layout2->addWidget( label2 );

    maximumValue = new QSpinBox( this, "maximumValue" );
    maximumValue->setMaxValue( 1000 );
    maximumValue->setMinValue( 2 );
    maximumValue->setValue( 780 );
    layout2->addWidget( maximumValue );
    SpectrumViewLayout->addLayout( layout2 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 
    spacer4 = new QSpacerItem( 211, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer4 );

    exportButton = new KPushButton( this, "exportButton" );
    layout4->addWidget( exportButton );
    SpectrumViewLayout->addLayout( layout4 );
    spacer3 = new QSpacerItem( 21, 1, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SpectrumViewLayout->addItem( spacer3 );
    languageChange();
    resize( QSize(469, 316).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( minimumValue, SIGNAL( valueChanged(int) ), m_spectrumWidget, SLOT( setLeftBorder(int) ) );
    connect( maximumValue, SIGNAL( valueChanged(int) ), m_spectrumWidget, SLOT( setRightBorder(int) ) );
    connect( exportButton, SIGNAL( clicked() ), this, SLOT( slotExportAsImage() ) );

    // buddies
    label1->setBuddy( minimumValue );
    label2->setBuddy( maximumValue );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SpectrumView::~SpectrumView()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SpectrumView::languageChange()
{
    QToolTip::add( this, tr2i18n( "This page gives an overview about the spectrum this element. With the mouse you can zoom into the spectrum." ) );
    QWhatsThis::add( this, tr2i18n( "This page gives an overview about the spectrum this element" ) );
    QToolTip::add( m_spectrumWidget, tr2i18n( "This is the spectrum of the element" ) );
    QWhatsThis::add( m_spectrumWidget, tr2i18n( "This is the spectrum of the element" ) );
    label1->setText( tr2i18n( "&Minimum value:" ) );
    QToolTip::add( minimumValue, tr2i18n( "This sets the leftmost wavelength of the spectrum" ) );
    QWhatsThis::add( minimumValue, tr2i18n( "This sets the leftmost wavelength of the spectrum" ) );
    label2->setText( tr2i18n( "Maximum &value:" ) );
    QToolTip::add( maximumValue, tr2i18n( "This sets the rightmost wavelength of the spectrum" ) );
    QWhatsThis::add( maximumValue, tr2i18n( "This sets the rightmost wavelength of the spectrum" ) );
    exportButton->setText( QString::null );
    QToolTip::add( exportButton, tr2i18n( "Using this button you can export the spectrum as a graphic" ) );
    QWhatsThis::add( exportButton, tr2i18n( "Using this button you can export the spectrum as a graphic" ) );
}

void SpectrumView::slotExportAsImage()
{
    qWarning( "SpectrumView::slotExportAsImage(): Not implemented yet" );
}

#include "spectrumview.moc"
